package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface MoveBusiness {
	void insert_move(Map<String,Object> entity) throws BusinessException ;

    void update_move(Map<String,Object> entity) throws BusinessException ;
    
    void delete_move(List<String> list)throws BusinessException;
    
    Page<Map<String, Object>> list_move(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
    
    List<Map<String,Object>> list_move(Map<String, Object> query) throws BusinessException ;
    
    int listCount_move(Map<String, Object> query) throws BusinessException ;
}
